Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web
Class DelegatingServletInputStream

    java.lang.Object
      java.io.InputStream
          javax.servlet.ServletInputStream
              org.springframework.mock.web.DelegatingServletInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class DelegatingServletInputStream

extends javax.servlet.ServletInputStream

Delegating implementation of `ServletInputStream`.

Used by `MockHttpServletRequest`; typically not directly used for testing application controllers.

Since:
  1.0.2
Author:
  Juergen Hoeller
See Also:
  `MockHttpServletRequest`

Constructor Summary
`DelegatingServletInputStream(java.io.InputStream sourceStream)` Create a DelegatingServletInputStream for the given source stream.

Method Summary
`void` | `close()`
`java.io.InputStream` | `getSourceStream()` Return the underlying source stream (never `null`).
`int` | `read()`

Methods inherited from class javax.servlet.ServletInputStream
`readLine`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingServletInputStream

    public DelegatingServletInputStream(java.io.InputStream sourceStream)

  Create a DelegatingServletInputStream for the given source stream.

  Parameters:
    `sourceStream` - the source stream (never `null`)

Method Detail

### getSourceStream

    public final java.io.InputStream getSourceStream()

  Return the underlying source stream (never `null`).

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD